{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.gh;
in {
  options.marleyos.programs.gh.enable = lib.mkEnableOption "gh";

  config = lib.mkIf cfg.enable {
    programs.gh = {
      enable = true;
      gitCredentialHelper.enable = true;
    };

    programs.gh-dash = {
      enable = true;
    };
  };
}
